<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/Explosions/FlashbangEffect.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d4f/_flashbang_effect_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">FlashbangEffect.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d4f/_flashbang_effect_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/da3/class_flashbang_effect.html">FlashbangEffect</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a2c9c8ee2739550c5846a1df29e4f385f">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>                       <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a2c9c8ee2739550c5846a1df29e4f385f">ALPHA_MIN</a> = 0.0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a34e2f07814008f1e500eca47830a68de">    4</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>                       <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a34e2f07814008f1e500eca47830a68de">ALPHA_MAX</a> = 1.0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ac4235f193dadd6baf1826104537e53af">    6</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>                       <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ac4235f193dadd6baf1826104537e53af">SOUND_DEFER_TIME</a> = 0.4;         </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">m_HitDuration</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a32638f6a215522cd1838f80822d12ee9">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a32638f6a215522cd1838f80822d12ee9">m_BreakPoint</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">m_TimeActive</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a25fd9a70f9f65e5d8aaa3d28c7ae55a9">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a25fd9a70f9f65e5d8aaa3d28c7ae55a9">m_DayTimeToggle</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">m_AlphaMaxActual</a>; <span class="comment">//actual max alpha of the effect</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ada57c1820103615f067d4a963c00b371">   14</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ada57c1820103615f067d4a963c00b371">m_SoundMaxActual</a>; <span class="comment">//actual max volume of the sound</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">m_ProgressMultiplier</a>; </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a7e3f647e16b5c7b2bd24c14ed020ea03">   17</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                              <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7e3f647e16b5c7b2bd24c14ed020ea03">m_Visual</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">   18</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                              <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">m_Initialized</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">   20</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>                        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">   21</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a>                       <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a7f0f62a32d88dea0f815ca57f3a913d3">   22</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7f0f62a32d88dea0f815ca57f3a913d3">m_SoundStopTime</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">   24</a></span>    <span class="keyword">protected</span> ref Timer                         <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">m_DeferAttenuation</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">   26</a></span>    <span class="keyword">protected</span> PPERequester_FlashbangEffects     <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a21a256b8ef4c9ec950f439bf5fed8155">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a21a256b8ef4c9ec950f439bf5fed8155">FlashbangEffect</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">bool</span> visual = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a> = player;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7e3f647e16b5c7b2bd24c14ed020ea03">m_Visual</a> = visual;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">m_Initialized</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">m_HitDuration</a> = 8.0;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a32638f6a215522cd1838f80822d12ee9">m_BreakPoint</a> = 2.5;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">m_AlphaMaxActual</a> = <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a34e2f07814008f1e500eca47830a68de">ALPHA_MAX</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ada57c1820103615f067d4a963c00b371">m_SoundMaxActual</a> = 1.0;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">m_ProgressMultiplier</a> = 1.0;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a> = null;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7e3f647e16b5c7b2bd24c14ed020ea03">m_Visual</a>)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a>,PPERequesterBank.GetRequester(PPERequester_FlashbangEffects));</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a>.Start();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">m_DeferAttenuation</a> = <span class="keyword">new</span> ref Timer();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">m_DeferAttenuation</a>.Run(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ac4235f193dadd6baf1826104537e53af">SOUND_DEFER_TIME</a>, <span class="keyword">this</span>, <span class="stringliteral">&quot;PlaySound&quot;</span>, null, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a25fd9a70f9f65e5d8aaa3d28c7ae55a9">m_DayTimeToggle</a> = 5; </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetDayTime() &gt;= 22.0 || <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetDayTime() &lt; 7.0 )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a25fd9a70f9f65e5d8aaa3d28c7ae55a9">m_DayTimeToggle</a> = 10;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a82d2d3c0cdc159dbf49aeecc2fbe9e14">   59</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a82d2d3c0cdc159dbf49aeecc2fbe9e14">~FlashbangEffect</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7e3f647e16b5c7b2bd24c14ed020ea03">m_Visual</a> )</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#ab017eb521f2df3c3e0727ecdb46c5a4a">ClearVisual</a>();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a> )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>.OnPlayerReceiveFlashbangHitEnd();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">m_DeferAttenuation</a>.IsRunning() )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">m_DeferAttenuation</a>.Stop();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">m_DeferAttenuation</a> = null;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">DestroyEffect</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ade909f2dc05acde2c2dad26fbc560168">   80</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#ade909f2dc05acde2c2dad26fbc560168">SetupFlashbangValues</a>(<span class="keywordtype">float</span> progress_mult = 1.0, <span class="keywordtype">float</span> visual_value_max = 1.0, <span class="keywordtype">float</span> sound_value_max = 1.0)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">m_Initialized</a> )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">m_Initialized</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">m_ProgressMultiplier</a> = progress_mult;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">m_AlphaMaxActual</a> = visual_value_max;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ada57c1820103615f067d4a963c00b371">m_SoundMaxActual</a> = sound_value_max;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">m_HitDuration</a> *= <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">m_ProgressMultiplier</a>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a32638f6a215522cd1838f80822d12ee9">m_BreakPoint</a> *= <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">m_ProgressMultiplier</a>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a83b753ae73f554cb3f01f841d3253bb1">   94</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a83b753ae73f554cb3f01f841d3253bb1">PlaySound</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">m_Initialized</a> )</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;&quot;</span> + <span class="keyword">this</span> + <span class="stringliteral">&quot; not initialized&quot;</span>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        MiscGameplayFunctions.GetHeadBonePos(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>, pos);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a> = <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#ac4f0c5ccedc2602bc229693c2a613aff">CreateSound</a>(<span class="stringliteral">&quot;Tinnitus_SoundSet&quot;</span>, pos);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a132c20f96e33fd8a18d06e332bdb81d6">IsPlaying</a>())</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a34b69430a0ac8492a2d996c8ed9dd241">SetParent</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.SetAttachedLocalPos(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>.WorldToModel(pos));</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#ab672c33a5e349c327d1393dd3c51638a">SetSoundWaveKind</a>(<a class="code hl_enumeration" href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a>.WAVEEFFECTEX);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#aa21ccb8d3f447a6abaf39654566f74c8">SetSoundFadeIn</a>(4 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">m_ProgressMultiplier</a>,0.5,1.0)); <span class="comment">//TODO</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7f0f62a32d88dea0f815ca57f3a913d3">m_SoundStopTime</a> = 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">m_ProgressMultiplier</a>,0.5,1.0);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#aba775f922c1ae706e7ac100750786cff">SetSoundFadeOut</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7f0f62a32d88dea0f815ca57f3a913d3">m_SoundStopTime</a>); <span class="comment">//TODO</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a4dd524151756639c91d9dec9c67a2e05">SetSoundMaxVolume</a>(<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ada57c1820103615f067d4a963c00b371">m_SoundMaxActual</a>,0.1,1.0)); <span class="comment">//TODO</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a8431f9fcaa24e588cd11d17212f53989">SetSoundLoop</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#af1d042e193e450955ad99dbdb7870436">SoundPlay</a>();</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a0269eb7bc575d4b875763405deaec535">SetAttenuationFilter</a>();</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a0269eb7bc575d4b875763405deaec535">  126</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a0269eb7bc575d4b875763405deaec535">SetAttenuationFilter</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">m_DeferAttenuation</a>.IsRunning() || <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>.GetMasterAttenuation() != <span class="stringliteral">&quot;FlashbangAttenuation&quot;</span> )</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>.SetMasterAttenuation(<span class="stringliteral">&quot;FlashbangAttenuation&quot;</span>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a75ba2a1a93a8482c95de749047bfda49">  134</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a75ba2a1a93a8482c95de749047bfda49">ResetAttenuationFilter</a>()</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">m_Player</a>.SetMasterAttenuation(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#aa2bbb0a03919e5f9a9430e3b586a5d51">  139</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#aa2bbb0a03919e5f9a9430e3b586a5d51">StopSound</a>()</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">m_FlashbangEffectSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">SoundStop</a>();</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ab017eb521f2df3c3e0727ecdb46c5a4a">  147</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#ab017eb521f2df3c3e0727ecdb46c5a4a">ClearVisual</a>()</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a>)</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a>.Stop();</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#ad270d08e263fe520cff2e544d4424ad6">  155</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#ad270d08e263fe520cff2e544d4424ad6">SetVisual</a>(<span class="keywordtype">float</span> val)</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a> &amp;&amp; <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a>.IsRequesterRunning())</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">m_Requester</a>.SetFlashbangIntensity(val, <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a25fd9a70f9f65e5d8aaa3d28c7ae55a9">m_DayTimeToggle</a>);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a834960d3a66f538c4d7cb39a2057a9dc">  163</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a834960d3a66f538c4d7cb39a2057a9dc">Stop</a>()</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    {</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#aa2bbb0a03919e5f9a9430e3b586a5d51">StopSound</a>();</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    }</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="../../de/da3/class_flashbang_effect.html#a27e0f28dc62081d3b76ed5f4ba7062e1">  168</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a27e0f28dc62081d3b76ed5f4ba7062e1">Update</a>(<span class="keywordtype">float</span> deltatime)</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">m_Initialized</a> )</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;&quot;</span> + <span class="keyword">this</span> + <span class="stringliteral">&quot; not initialized&quot;</span>);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7e3f647e16b5c7b2bd24c14ed020ea03">m_Visual</a> )</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        {</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordtype">float</span> value;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">m_TimeActive</a> &lt;= <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a32638f6a215522cd1838f80822d12ee9">m_BreakPoint</a> )</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                value = <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">m_AlphaMaxActual</a>;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                <span class="comment">//Print(&quot;Flashbango | m_AlphaMaxActual: &quot; + value);</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                value = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">m_HitDuration</a> - <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a32638f6a215522cd1838f80822d12ee9">m_BreakPoint</a>, <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">m_HitDuration</a>, <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">m_TimeActive</a>);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>                value = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(value,0.0,1.0);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>                value = <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">m_AlphaMaxActual</a> - value * <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">m_AlphaMaxActual</a>;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>                <span class="comment">//Print(&quot;Flashbango | tmp_value: &quot; + value);</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#ad270d08e263fe520cff2e544d4424ad6">SetVisual</a>(value);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">m_TimeActive</a> += deltatime;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">m_TimeActive</a> &gt;= <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">m_HitDuration</a> - <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a7f0f62a32d88dea0f815ca57f3a913d3">m_SoundStopTime</a>)</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        {</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#aa2bbb0a03919e5f9a9430e3b586a5d51">StopSound</a>();</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        }</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">m_TimeActive</a> &gt;= <a class="code hl_variable" href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">m_HitDuration</a>)</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        {</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            <a class="code hl_function" href="../../de/da3/class_flashbang_effect.html#a75ba2a1a93a8482c95de749047bfda49">ResetAttenuationFilter</a>();</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            <span class="keyword">delete</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>}</div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03101">DayZGame.c:3101</a></div></div>
<div class="ttc" id="a_sound_8c_html_a31dd9d80d2b7ac9cd189b4a00351ac05"><div class="ttname"><a href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a></div><div class="ttdeci">WaveKind</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d13/_sound_8c_source.html#l00001">Sound.c:2</a></div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_a132c20f96e33fd8a18d06e332bdb81d6"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#a132c20f96e33fd8a18d06e332bdb81d6">EffectSound::IsPlaying</a></div><div class="ttdeci">override bool IsPlaying()</div><div class="ttdoc">Returns true when the effect is playing, false otherwise.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00273">EffectSound.c:273</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_a34b69430a0ac8492a2d996c8ed9dd241"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#a34b69430a0ac8492a2d996c8ed9dd241">EffectSound::SetParent</a></div><div class="ttdeci">override void SetParent(Object parent_obj)</div><div class="ttdoc">Set parent for the sound to follow.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00635">EffectSound.c:635</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_a4dd524151756639c91d9dec9c67a2e05"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#a4dd524151756639c91d9dec9c67a2e05">EffectSound::SetSoundMaxVolume</a></div><div class="ttdeci">void SetSoundMaxVolume(float volume)</div><div class="ttdoc">Set the sound max volume.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00840">EffectSound.c:840</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_a8431f9fcaa24e588cd11d17212f53989"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#a8431f9fcaa24e588cd11d17212f53989">EffectSound::SetSoundLoop</a></div><div class="ttdeci">void SetSoundLoop(bool loop)</div><div class="ttdoc">Set if the sound loops.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00778">EffectSound.c:778</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_aa21ccb8d3f447a6abaf39654566f74c8"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#aa21ccb8d3f447a6abaf39654566f74c8">EffectSound::SetSoundFadeIn</a></div><div class="ttdeci">void SetSoundFadeIn(float fade_in)</div><div class="ttdoc">Set the sound fade in duration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00861">EffectSound.c:861</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_ab672c33a5e349c327d1393dd3c51638a"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#ab672c33a5e349c327d1393dd3c51638a">EffectSound::SetSoundWaveKind</a></div><div class="ttdeci">void SetSoundWaveKind(WaveKind wave_kind)</div><div class="ttdoc">Set WaveKind for the sound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00750">EffectSound.c:750</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_aba775f922c1ae706e7ac100750786cff"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#aba775f922c1ae706e7ac100750786cff">EffectSound::SetSoundFadeOut</a></div><div class="ttdeci">void SetSoundFadeOut(float fade_out)</div><div class="ttdoc">Set the sound fade out duration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00870">EffectSound.c:870</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_af1d042e193e450955ad99dbdb7870436"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#af1d042e193e450955ad99dbdb7870436">EffectSound::SoundPlay</a></div><div class="ttdeci">bool SoundPlay()</div><div class="ttdoc">Plays sound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00193">EffectSound.c:193</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_afb3e761198a4167f611442d60925e1e7"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">EffectSound::SoundStop</a></div><div class="ttdeci">void SoundStop()</div><div class="ttdoc">Stops sound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00211">EffectSound.c:211</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html">FlashbangEffect</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00001">FlashbangEffect.c:2</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a0269eb7bc575d4b875763405deaec535"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a0269eb7bc575d4b875763405deaec535">FlashbangEffect::SetAttenuationFilter</a></div><div class="ttdeci">protected void SetAttenuationFilter()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00126">FlashbangEffect.c:126</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a189eaf20267437b9af806115434994aa"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a189eaf20267437b9af806115434994aa">FlashbangEffect::m_Initialized</a></div><div class="ttdeci">protected bool m_Initialized</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00018">FlashbangEffect.c:18</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a21a256b8ef4c9ec950f439bf5fed8155"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a21a256b8ef4c9ec950f439bf5fed8155">FlashbangEffect::FlashbangEffect</a></div><div class="ttdeci">void FlashbangEffect(PlayerBase player, bool visual=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00028">FlashbangEffect.c:28</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a25fd9a70f9f65e5d8aaa3d28c7ae55a9"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a25fd9a70f9f65e5d8aaa3d28c7ae55a9">FlashbangEffect::m_DayTimeToggle</a></div><div class="ttdeci">protected float m_DayTimeToggle</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00011">FlashbangEffect.c:11</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a27e0f28dc62081d3b76ed5f4ba7062e1"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a27e0f28dc62081d3b76ed5f4ba7062e1">FlashbangEffect::Update</a></div><div class="ttdeci">void Update(float deltatime)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00168">FlashbangEffect.c:168</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a2c9c8ee2739550c5846a1df29e4f385f"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a2c9c8ee2739550c5846a1df29e4f385f">FlashbangEffect::ALPHA_MIN</a></div><div class="ttdeci">protected const float ALPHA_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00003">FlashbangEffect.c:3</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a32638f6a215522cd1838f80822d12ee9"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a32638f6a215522cd1838f80822d12ee9">FlashbangEffect::m_BreakPoint</a></div><div class="ttdeci">protected float m_BreakPoint</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00009">FlashbangEffect.c:9</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a34e2f07814008f1e500eca47830a68de"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a34e2f07814008f1e500eca47830a68de">FlashbangEffect::ALPHA_MAX</a></div><div class="ttdeci">protected const float ALPHA_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00004">FlashbangEffect.c:4</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a3d942924a3ac67a85b42d54689df540c"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a3d942924a3ac67a85b42d54689df540c">FlashbangEffect::m_ProgressMultiplier</a></div><div class="ttdeci">protected float m_ProgressMultiplier</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00015">FlashbangEffect.c:15</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a4368135fc642a2a9d69ef26c883e1621"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a4368135fc642a2a9d69ef26c883e1621">FlashbangEffect::m_HitDuration</a></div><div class="ttdeci">protected float m_HitDuration</div><div class="ttdoc">SFX will be played ~0.5s AFTER VFX.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00008">FlashbangEffect.c:8</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a5681be53977a9fe7ffa8af2128bcf03b"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a5681be53977a9fe7ffa8af2128bcf03b">FlashbangEffect::m_Requester</a></div><div class="ttdeci">protected PPERequester_FlashbangEffects m_Requester</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00026">FlashbangEffect.c:26</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a6337f0b58b6d1e34a2e2de762145c3e1"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a6337f0b58b6d1e34a2e2de762145c3e1">FlashbangEffect::m_TimeActive</a></div><div class="ttdeci">protected float m_TimeActive</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00010">FlashbangEffect.c:10</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a75ba2a1a93a8482c95de749047bfda49"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a75ba2a1a93a8482c95de749047bfda49">FlashbangEffect::ResetAttenuationFilter</a></div><div class="ttdeci">protected void ResetAttenuationFilter()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00134">FlashbangEffect.c:134</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a79889ad605716f69e6e036f4334ef168"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a79889ad605716f69e6e036f4334ef168">FlashbangEffect::m_Player</a></div><div class="ttdeci">protected PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00020">FlashbangEffect.c:20</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a7e3f647e16b5c7b2bd24c14ed020ea03"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a7e3f647e16b5c7b2bd24c14ed020ea03">FlashbangEffect::m_Visual</a></div><div class="ttdeci">protected bool m_Visual</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00017">FlashbangEffect.c:17</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a7f0f62a32d88dea0f815ca57f3a913d3"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a7f0f62a32d88dea0f815ca57f3a913d3">FlashbangEffect::m_SoundStopTime</a></div><div class="ttdeci">protected float m_SoundStopTime</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00022">FlashbangEffect.c:22</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a82d2d3c0cdc159dbf49aeecc2fbe9e14"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a82d2d3c0cdc159dbf49aeecc2fbe9e14">FlashbangEffect::~FlashbangEffect</a></div><div class="ttdeci">void ~FlashbangEffect()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00059">FlashbangEffect.c:59</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a834960d3a66f538c4d7cb39a2057a9dc"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a834960d3a66f538c4d7cb39a2057a9dc">FlashbangEffect::Stop</a></div><div class="ttdeci">void Stop()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00163">FlashbangEffect.c:163</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_a83b753ae73f554cb3f01f841d3253bb1"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#a83b753ae73f554cb3f01f841d3253bb1">FlashbangEffect::PlaySound</a></div><div class="ttdeci">protected void PlaySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00094">FlashbangEffect.c:94</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_aa2bbb0a03919e5f9a9430e3b586a5d51"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#aa2bbb0a03919e5f9a9430e3b586a5d51">FlashbangEffect::StopSound</a></div><div class="ttdeci">protected void StopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00139">FlashbangEffect.c:139</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ab017eb521f2df3c3e0727ecdb46c5a4a"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ab017eb521f2df3c3e0727ecdb46c5a4a">FlashbangEffect::ClearVisual</a></div><div class="ttdeci">protected void ClearVisual()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00147">FlashbangEffect.c:147</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ab25aa59fb11d0f55d79a957b62893ea4"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ab25aa59fb11d0f55d79a957b62893ea4">FlashbangEffect::m_FlashbangEffectSound</a></div><div class="ttdeci">protected EffectSound m_FlashbangEffectSound</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00021">FlashbangEffect.c:21</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ab8ea0871fff0acddce275837b6d7a833"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ab8ea0871fff0acddce275837b6d7a833">FlashbangEffect::m_DeferAttenuation</a></div><div class="ttdeci">protected ref Timer m_DeferAttenuation</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00024">FlashbangEffect.c:24</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ac4235f193dadd6baf1826104537e53af"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ac4235f193dadd6baf1826104537e53af">FlashbangEffect::SOUND_DEFER_TIME</a></div><div class="ttdeci">protected const float SOUND_DEFER_TIME</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00006">FlashbangEffect.c:6</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ad270d08e263fe520cff2e544d4424ad6"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ad270d08e263fe520cff2e544d4424ad6">FlashbangEffect::SetVisual</a></div><div class="ttdeci">protected void SetVisual(float val)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00155">FlashbangEffect.c:155</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ad9ca40da431cb1bdf0b23a294b74d668"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ad9ca40da431cb1bdf0b23a294b74d668">FlashbangEffect::m_AlphaMaxActual</a></div><div class="ttdeci">protected float m_AlphaMaxActual</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00013">FlashbangEffect.c:13</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ada57c1820103615f067d4a963c00b371"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ada57c1820103615f067d4a963c00b371">FlashbangEffect::m_SoundMaxActual</a></div><div class="ttdeci">protected float m_SoundMaxActual</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00014">FlashbangEffect.c:14</a></div></div>
<div class="ttc" id="aclass_flashbang_effect_html_ade909f2dc05acde2c2dad26fbc560168"><div class="ttname"><a href="../../de/da3/class_flashbang_effect.html#ade909f2dc05acde2c2dad26fbc560168">FlashbangEffect::SetupFlashbangValues</a></div><div class="ttdeci">void SetupFlashbangValues(float progress_mult=1.0, float visual_value_max=1.0, float sound_value_max=1.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4f/_flashbang_effect_8c_source.html#l00080">FlashbangEffect.c:80</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a></div><div class="ttdoc">Manager class for managing Effect (EffectParticle, EffectSound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00005">EffectManager.c:6</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_ac4f0c5ccedc2602bc229693c2a613aff"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#ac4f0c5ccedc2602bc229693c2a613aff">SEffectManager::CreateSound</a></div><div class="ttdeci">static EffectSound CreateSound(string sound_set, vector position, float play_fade_in=0, float stop_fade_out=0, bool loop=false, bool enviroment=false)</div><div class="ttdoc">Create an EffectSound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00140">EffectManager.c:140</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_aec7ef95de317ab1011f04c6c5c496248"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">SEffectManager::DestroyEffect</a></div><div class="ttdeci">static void DestroyEffect(Effect effect)</div><div class="ttdoc">Unregisters, stops and frees the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00267">EffectManager.c:267</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga939cca08ae6c7facc9293f2dbce3def5"><div class="ttname"><a href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Math::Clamp</a></div><div class="ttdeci">static proto float Clamp(float value, float min, float max)</div><div class="ttdoc">Clamps 'value' to 'min' if it is lower than 'min', or to 'max' if it is higher than 'max'.</div></div>
<div class="ttc" id="agroup___math_html_gaa191e62ab92d20698e58e3a20950471a"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">Math::InverseLerp</a></div><div class="ttdeci">static proto float InverseLerp(float a, float b, float value)</div><div class="ttdoc">Calculates the linear value that produces the interpolant value within the range [a,...</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_67937959af51040a1b50417db4ec9915.html">Explosions</a></li><li class="navelem"><a class="el" href="../../db/d4f/_flashbang_effect_8c.html">FlashbangEffect.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
